Rails 3

Discussion in 'Ruby/Rails' started by fantasydreaming, Jan 29, 2011.

  1. fantasydreaming

    fantasydreaming New Member

    I'm surprised no-one else has made this complaint yet since Rails 3 has been out for quite some time, but it seems to not work with the default litespeed settings.

    Someone has added their own as a custom runner, but I'm not sure how to run it? I guess I can't use the "rails" context type, but need to choose "Lsapi" and put a path to the file somewhere?

    http://github.com/madmax/lsws-rails3-runner

    Anyone using this in a production environment?

    Thanks!
  2. mistwang

    mistwang LiteSpeed Staff

    save it as lsws/fcgi-bin/RailsRunner.rb
  3. ideaoforder

    ideaoforder New Member

    I'm running a mixed environment--with multiple sites:

    * One running 2.1.2
    * One running 2.3.2
    * One running 3.0.3

    The standard RailsRunner works fine for both the 2.x version, but not the 3.x version. How can I run these all simultaneously? Is there a place in the config somehere to specify which RailsRunner to use?

    Thanks!
  4. ideaoforder

    ideaoforder New Member

    Actually, I've come up with a really elegant solution to this: switch to Nginx/Passenger.

    Now that the Passenger gem support nginx out of the box, along with Ruby Enterprise Edition, the performance is better, setup is just as easy, and it actually works and gets updated in a timely fashion.

    As far as I know, Litespeed still doesn't even support Rails 2.3.x without patching it to work with Rack.

    Over the last 3 years of been pusing Litespeed left and right, running it on 6 client VPSes. In almost every case I've eventually hit a brick wall and turned to Nginx/Passenger. 5 down, one to go.

    Don't get me wrong: I think Litespeed truly WAS the solution 3 years ago, but has ultimately lagged so far behind that it's not a real solution for Rails hosting anymore.

    Adieu.

Share This Page